require 'singleton'
require 'logger'

module Sudoku
  # Module for logging functionality
  module Logging
    # Logger for use in the Sudoku classees
    LOGGER = Logger.new(STDOUT)

    # Will log info message
    def info(message)
      LOGGER.info(message)
    end

    # Will log error message
    def error(message)
      LOGGER.error(message)
    end

    # Will log fatal message
    def fatal(message)
      LOGGER.error(message)
    end

    # Will disable all logging except for fatal errors.
    def disable_log
      LOGGER.level = Logger::FATAL
    end
  end
end
